/**
 * Logback: the reliable, generic, fast and flexible logging framework.
 * 
 * Copyright (C) 1999-2007, QOS.ch
 * 
 * This library is free software, you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation.
 */
package ch.qos.logback.eclipse.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.dialogs.InputDialog;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.swt.widgets.Shell;

import ch.qos.logback.eclipse.Messages;
import ch.qos.logback.eclipse.dialog.LogbackFilterDialog;

/**
 * 
 * 
 * @author S&eacute;bastien Pennec
 */
public class LogbackFilterAction extends Action {

  private final Shell shell;

  public LogbackFilterAction(Viewer viewer) {
      super(Messages.LogbackFilterActionName);
    shell = viewer.getControl().getShell();
  }

  public void run() {
    LogbackFilterDialog dialog = new LogbackFilterDialog(shell);
    if (dialog.open() != InputDialog.OK) {
      return;
    }
  }
}
