/**
 * Logback: the reliable, generic, fast and flexible logging framework.
 * 
 * Copyright (C) 1999-2007, QOS.ch
 * 
 * This library is free software, you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation.
 */
package ch.qos.logback.eclipse.model;

import java.util.EventObject;

import ch.qos.logback.classic.spi.LoggingEvent;

/**
 * @author S&eacute;bastien Pennec
 */
public class LoggingEventManagerEvent extends EventObject {

  private static final long serialVersionUID = 1218534891181341451L;
  
  private final LoggingEvent[] added;
  private final LoggingEvent[] removed;

  public LoggingEventManagerEvent(LoggingEventManager source,
      LoggingEvent[] itemsAdded, LoggingEvent[] itemsRemoved) {
    super(source);
    added = itemsAdded;
    removed = itemsRemoved;
  }

  public LoggingEvent[] getItemsAdded() {
    return added;
  }

  public LoggingEvent[] getItemsRemoved() {
    return removed;
  }
}